const mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel applications. By default, we are compiling the CSS
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.js('resources/js/app.js', 'public/js')
    .vue()
    // .extract()
    // .autoload({
    //     lodash: ['_']
    //  })
    .postCss('resources/css/app.css', 'public/css', [
        require('postcss-import'),
        require('tailwindcss'),
    ])
    .less('resources/css/antd.less', 'public/css', {
        lessOptions: {
            strictMath: false,
            javascriptEnabled: true,
            modifyVars: {
              'primary-color': '#004691',
            //   'link-color': '#004691',
            //   'text-color': '#000000',
                // 'border-color-base': '#004691',
            },
        }
    })
    // .setPublicPath('funny')
    .webpackConfig(require('./webpack.config'))
    .browserSync({
        proxy: 'exchange.test',
        open: false,
        notify: false,
    })
    .disableNotifications();

if (mix.inProduction()) {
    mix.version();
}
